Skip to main content
GET
/
last-trades-prices
Get last trade prices (query parameters)
curl --request GET \
  --url https://clob.polymarket.com/last-trades-prices
import requests

url = "https://clob.polymarket.com/last-trades-prices"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://clob.polymarket.com/last-trades-prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "token_id": "0xabc123def456...",
    "price": "0.45",
    "side": "BUY"
  },
  {
    "token_id": "0xdef456abc123...",
    "price": "0.52",
    "side": "SELL"
  }
]

Query Parameters

token_ids
string
required

Comma-separated list of token IDs (max 500)

Response

Successfully retrieved last trade prices

token_id
string
required

Token ID (asset ID)

Example:

"0xabc123def456..."

price
string
required

Last trade price

Example:

"0.45"

side
enum<string>
required

Last trade side (BUY or SELL)

Available options:
BUY,
SELL
Example:

"BUY"